VelocityFormatter (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.log.VelocityFormatter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class VelocityFormatter

    java.lang.Object
      org.apache.log.format.PatternFormatter
          org.apache.velocity.runtime.log.VelocityFormatter

All Implemented Interfaces:
  org.apache.log.format.Formatter, org.apache.log.Formatter

public class VelocityFormatter
extends org.apache.log.format.PatternFormatter

Nested Class Summary

Nested classes inherited from class org.apache.log.format.PatternFormatter
`org.apache.log.format.PatternFormatter.PatternRun`

Field Summary

Fields inherited from class org.apache.log.format.PatternFormatter
`MAX_TYPE`

Constructor Summary
`VelocityFormatter(java.lang.String format)`

Method Summary
`protected java.lang.String` | `getTime(long time, java.lang.String format)` Utility method to format time.

Methods inherited from class org.apache.log.format.PatternFormatter
`format, formatPatternRun, getCategory, getContext, getContextMap, getContextStack, getMessage, getPriority, getRTime, getStackTrace, getTypeIdFor, parse, setFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityFormatter

    public VelocityFormatter(java.lang.String format)

Method Detail

### getTime

    protected java.lang.String getTime(long time,
                                       java.lang.String format)

  Utility method to format time.

  Parameters:
    `time` - the time
    `format` - ancilliary format parameter - allowed to be null
  Returns:
    the formatted string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.